## libxcomposite 0.4.4-2+apricot-2

=== debian/changelog ===
libxcomposite (1:0.4.4-2+apricot-2) unstable; urgency=low

  [ Julien Cristau ]
  * Mark libxcomposite-dev as Multi-Arch: same (closes: #689082).  Hopefully
    the docbook-generated manpage won't be too unpredictable. (LP: #1657385)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Jan 2017 07:36:39 +0200

libxcomposite (1:0.4.4-2+apricot-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 7.
  * Use dpkg-buildflags.
  * Disable silent rules.
  * Use dh_prep instead of dh_clean -k.

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Jun 2013 21:06:22 +0200

libxcomposite (1:0.4.3-2) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Remove David Nusinow and Brice Goglin from Uploaders.
  * Bump Standards-Version to 3.9.2.
  * Add build-indep and build-arch d/rules targets.

 -- Julien Cristau <jcristau@debian.org>  Sat, 11 Jun 2011 15:02:58 +0200

libxcomposite (1:0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete build-deps.
  * Bump xutils-dev build-dep for new macros.
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 06 Nov 2010 14:09:31 +0100

libxcomposite (1:0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright from upstream COPYING.
  * Bump xutils-dev build-dep for xorg-macros 1.6.
  * Drop pre-dependency on x11-common, only needed for upgrades from sarge.
  * Bump Standards-Version to 3.9.0.

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Jul 2010 13:48:21 +0100

libxcomposite (1:0.4.1-2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Brice Goglin ]
  * Remove Jamey Sharp and Josh Triplett from Uploaders, closes: #568280.

 -- Julien Cristau <jcristau@debian.org>  Fri, 25 Jun 2010 20:27:02 +0100

libxcomposite (1:0.4.1-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release (closes: #554236).
  * Bump Standards-Version to 3.8.3.
  * Run autoreconf on build. Add build-deps on automake, libtool and
    xutils-dev.
  * Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Nov 2009 15:00:28 +0100

libxcomposite (1:0.4.0-4) unstable; urgency=low

  * Add a link to www.X.org in the long description.
  * Add README.source, bump Standards-Version to 3.8.2.
  * Remove the unused quilt patching, closes: #538619.
  * Move -dbg package to new debug section.
  * Add myself to Uploaders.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 26 Jul 2009 12:13:14 +0200

libxcomposite (1:0.4.0-3) unstable; urgency=low

  * Add dependency on x11proto-core-dev and libxext-dev to libxcomposite-dev,
    as these are referenced by xcomposite.pc.

 -- Julien Cristau <jcristau@debian.org>  Fri, 30 May 2008 14:36:51 +0200

libxcomposite (1:0.4.0-2) unstable; urgency=low

  [ Andres Salomon ]
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.
  * Run dh_install w/ --list-missing.
  * Bump debhelper compat to 5.
  * Fix dh_strip call to skip the -dbg package.

  [ Julien Cristau ]
  * Drop the -1 debian revision from the libx11-dev build-dep.
  * Bump Standards-Version to 3.7.3.
  * Drop the XS- prefix from Vcs-* control fields.
  * libxcomposite1{,-dbg} don't need to depend on x11-common.

 -- Julien Cristau <jcristau@debian.org>  Sun, 18 May 2008 23:55:39 +0200

libxcomposite (1:0.4.0-1) unstable; urgency=low

  * New upstream release.
    + bump (build-)dep on x11proto-composite-dev to >= 1:0.4.
  * Use binary:Version instead of Source-Version in debian/control.
  * Add myself to Uploaders, and remove Branden with his permission.
  * Add upstream URL to debian/copyright.

 -- Julien Cristau <jcristau@debian.org>  Sun, 02 Dec 2007 13:42:56 +0100

libxcomposite (1:0.3.2-1) unstable; urgency=low

  [ Brice Goglin ]
  * New upstream release.
  * Add xmlto to Build-Depends.
  * Install new manpages within libxcomposite-dev.
  * Add XS-Vcs-Browser header in debian/control.
  * Remove Fabio from uploaders with his permission. He's always welcome back.

  [ Julien Cristau ]
  * Update debian/copyright.

 -- Julien Cristau <jcristau@debian.org>  Fri, 11 May 2007 15:14:38 +0200

libxcomposite (1:0.3.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 11 Apr 2007 11:46:19 +0200

libxcomposite (1:0.3.1-1) experimental; urgency=low

  * Adjust Section and Priority values to what the override says.
  * Update location of upstream repository from CVS to git in the long
    descriptions.
  * New upstream release.
    + drop patch applied upstream.
  * Add XS-Vcs-Git header in debian/control.
  * Install the upstream changelog.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 Feb 2007 10:00:49 +0100

libxcomposite (1:0.3-3) unstable; urgency=low

  * calls UnlockDisplay without calling LockDisplay first (Closes:
    #400440)
  * Add Josh and myself to Uploaders.
  * Enable xsfbs patch application.
  * Add quilt to Build-Depends.

 -- Jamey Sharp <sharpone@debian.org>  Mon, 27 Nov 2006 16:07:41 -0800

libxcomposite (1:0.3-2) unstable; urgency=low

  [ Thierry Reding ]
  * Make packages built against libxcomposite depend on (>= 1:0.3-1) because
    of the addition of the XComposite{Get,Release}OverlayWindow functions.
    Thanks Eugene Konev. Closes: #390254.

 -- David Nusinow <dnusinow@debian.org>  Sat, 30 Sep 2006 14:41:13 -0400

libxcomposite (1:0.3-1) unstable; urgency=low

  [ Thierry Reding ]
  * New upstream release.
  * Bumped Standards-Version to 3.7.2, no changes required.
  * Removed build-dependency on libxdamage-dev because it is no longer needed.
  * Added build-dependencies on libxext-dev and x11proto-fixes-dev to reflect
    the PKG_CHECK_MODULES list.

  [ David Nusinow ]

