=== debian/control ===
Source: libxcomposite
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Build-Depends:
# multiarch
 debhelper (>= 8.1.3),
# dpkg-buildflags --export=configure
 dpkg-dev (>= 1.16.1),
 libx11-dev (>= 1:0.99.2),
 libxfixes-dev (>= 1:3.0.0-4),
 x11proto-composite-dev (>= 1:0.4),
 pkg-config,
 xmlto,
 automake,
 libtool,
 xutils-dev (>= 1:7.5+4),
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/libxcomposite
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/libxcomposite.git

Package: libxcomposite1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X11 Composite extension library
 libXcomposite provides an X Window System client interface to the Composite
 extension to the X protocol.
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen.  Rendering is done into an off-screen buffer.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXcomposite

Package: libxcomposite1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libxcomposite1 (= ${binary:Version})
Multi-Arch: same
Description: X11 Composite extension library (debug package)
 libXcomposite provides an X Window System client interface to the Composite
 extension to the X protocol.
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen.  Rendering is done into an off-screen buffer.
 .
 This package contains the debug versions of the library found in
 libxcomposite1. Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXcomposite

Package: libxcomposite-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libxcomposite1 (= ${binary:Version}), libx11-dev, libxfixes-dev, x11proto-composite-dev (>= 1:0.4), x11proto-core-dev, libxext-dev
Description: X11 Composite extension library (development headers)
 libXcomposite provides an X Window System client interface to the Composite
 extension to the X protocol.
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen.  Rendering is done into an off-screen buffer.
 .
 This package contains the development headers for the library found in
 libxcomposite1.  Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXcomposite
