=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libXcomposite
version=3
http://xorg.freedesktop.org/releases/individual/lib/ libXcomposite-(.*)\.tar\.gz
